# ACH Vault (Token)

The **ACH Vault (Token) API** allows you securely store bank account details as a token to use it for processing the ACH transaction.&#x20;

Token replaces the sensitive bank account information such as routing number, account number, account type, and individual name and uses to process the future ACH transactions.

Instead of storing raw bank account details, you can:

1. Create a token for a bank account
2. Store and retrieve the token securely
3. Use the token for future ACH transactions

Token reduces exposure of sensitive data and simplifies repeat payments.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/ach/ach-vault-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
